<?php

/**
 * Gadget Web Development Kit
 * 
 * @GADGET_HEADER@
 * 
 * @package     Gadget
 * @subpackage  Gadget_Mail
 * @author      Michael Wallner <mike@iworks.at>
 * @version     $Revision: 1.3 $
 * 
 * @copyright   2004 Michael Wallner
 * @license     http://www.gnu.org/copyleft/gpl.txt GNU Public License
 * 
 * @cvs         $Id: Attachment.php,v 1.3 2005/04/06 19:03:52 mike Exp $
 */

/**
 * Requires Gadget_Object
 */
class_exists('Gadget_Object') or require_once 'Gadget/Object.php';

/**
 * Gadget_Mail_Attachment
 *
 * Simple mail attachment facility.
 * 
 * @package     Gadget
 * @subpackage  Gadget_Mail
 * @since       1.0
 */
class Gadget_Mail_Attachment extends Gadget_Object
{
    var $imap = false;
    var $id;
    var $name;
    var $filename;
    var $type;
    var $size;
    var $encoded;
    var $decoded;
    var $encoding;
    var $description;

    /**
     * Get Data of the Attachment
     * 
     * @access  public
     * @return  string
     */
    function getData()
    {
        if ($this->imap) {
            return $this->decoded;
        } else {
            return file_get_contents($this->filename);
        }
    }
    
    /**
     * Send as Download
     * 
     * @access  public
     * @return  mixed   Returns true on success or PEAR_Error on failure.
     */
    function download()
    {
        require_once 'HTTP/Download.php';
        $dl = &new HTTP_Download(array('cache' => true, 'contenttype' => $this->type));
        if ($this->imap) {
            $dl->setData($this->decoded);
        } else {
            $dl->setFile($this->filename);
        }
        return $dl->send();
    }
}
?>
