<?php
/**
 * Gadget Webdevelopment Kit
 * 
 * @GADGET_HEADER@
 * 
 * @package     Gadget
 * @author      Michael Wallner <mike@iworks.at>
 * @version     $Revision: 1.1 $
 * 
 * @copyright   2004 Michael Wallner
 * @license     http://www.gnu.org/copyleft/gpl.txt GNU Public License
 * 
 * @cvs         $Id: Object.php,v 1.1 2005/04/04 11:50:57 mike Exp $
 */

/**
 * Gadget_Object
 * 
 * @package Gadget
 * @since   1.0
 */
class Gadget_Object
{
    /**
     * Constructor
     * 
     * @access  public
     * @param   array   $options, ...
     */
    function Gadget_Object($opts = array())
    {
        if (func_num_args() > 1) {
            $args = func_get_args();
            $opts = call_user_func_array('array_merge_recursive', $args);
        }
        $this->onBeforeConstruct($opts);
        $this->setOptions($opts);
        $this->onAfterConstruct($opts);
    }
    
    /**
     * On Before Construct
     * 
     * @access  protected
     * @return  void
     */
    function onBeforeConstruct()
    {
    }
    
    /**
     * On After Construct
     * 
     * @access  protected
     * @return  void
     */
    function onAfterConstruct()
    {
    }
    
    /**
     * Set Options
     * 
     * @access  public
     * @return  void
     * @param   array   $options
     */
    function setOptions($options)
    {
        foreach ((array) $options as $property => $value) {
            if (    isset($this->$property) && 
                    is_array($value) &&
                    is_array($this->$property)) {
                $this->$property = array_merge($this->$property, $value);
            } else {
                $this->$property = $value;
            }
        }
    }
}

?>
