<?php

/**
 * Gadget Web Development Kit
 * 
 * @GADGET_HEADER@
 * 
 * @package     Gadget
 * @subpackage  Gadget_Provider
 * @author      Michael Wallner <mike@iworks.at>
 * @version     $Revision: 1.2 $
 * 
 * @copyright   2004 Michael Wallner
 * @license     http://www.gnu.org/copyleft/gpl.txt GNU Public License
 * 
 * @cvs         $Id: Rights.php,v 1.2 2005/04/08 18:57:52 mike Exp $
 */

/**
 * Requires Gadget_Provider
 */
class_exists('Gadget_Provider') or require_once 'Gadget/Povider.php';

/**
 * Gadget_Provider_Rights
 *
 * Gadget's default rights provider
 * 
 * @package     Gadget
 * @subpackage  Gadget_Provider
 * @since       1.0
 */
class Gadget_Provider_Rights extends Gadget_Provider
{
    var $provider = PROVIDER_RIGHTS;
    
    /**
     * Get
     * 
     * @access  public
     * @return  mixed
     */
    function get()
    {
        return Gadget::currentUser('rights');
    }
    
    /**
     * Set
     * 
     * @access  public
     * @return  mixed
     * @param   int
     */
    function set($rights)
    {
        $user = Gadget::getCurrentUser(true);
        $user->rights = $rights;
        return $user->update();
    }
    
}

?>
