<?php

/**
 * Gadget Web Development Kit
 * 
 * @GADGET_HEADER@
 * 
 * @package     Gadget
 * @author      Michael Wallner <mike@iworks.at>
 * @version     $Revision: 1.1 $
 * 
 * @copyright   2004 Michael Wallner
 * @license     http://www.gnu.org/copyleft/gpl.txt GNU Public License
 * 
 * @cvs         $Id: Stats.php,v 1.1 2005/04/04 11:50:58 mike Exp $
 */

class_exists('Gadget_Service') or require_once 'Gadget/Service.php';

/** 
 * Gadget_Service_Stats
 * 
 * @package     Gadget
 * @subpackage  Gadget_Service
 * @since       1.0
 */
class Gadget_Service_Stats extends Gadget_Service
{
    var $service = SERVICE_STATS;
    
    function execute()
    {
        if (Gadget::getConf('Stats', 'enabled')) {
            $stats = Gadget::DAO('stats_full');
            $stats->user            = Gadget::currentUser('id');
            $stats->exec_time       = (int) (Gadget::timer() * 1000);
            $stats->remote_address  = ip2long($_SERVER['REMOTE_ADDR']);
            $stats->response_length = ob_get_length();
            $stats->php_self        = &$_SERVER['PHP_SELF'];
            $stats->request_method  = &$_SERVER['REQUEST_METHOD'];
            $stats->request_uri     = &$_SERVER['REQUEST_URI'];
            $stats->referrer        = &$_SERVER['HTTP_REFERER'];
            $stats->user_agent      = &$_SERVER['HTTP_USER_AGENT'];
            $stats->insert();
        }
    }
}

?>
