<?php

/**
 * Gadget Webdevelopment Kit
 * 
 * @GADGET_HEADER@
 * 
 * @package     Gadget
 * @subpackage  Gadget_Template
 * @author      Michael Wallner <mike@iworks.at>
 * @version     $Revision: 1.1 $
 * 
 * @copyright   2004 Michael Wallner
 * @license     http://www.gnu.org/copyleft/gpl.txt GNU Public License
 * 
 * @cvs         $Id: clean.php,v 1.1 2005/04/04 11:50:58 mike Exp $
 */

/**
 * Requires Gadget_Template_Action
 */
class_exists('Gadget_Template_Action') or require_once 'Gadget/Template/Action.php';

/** 
 * Gadget_Template_Action_clean
 *
 * @package     Gadget
 * @subpackage  Gadget_Template
 * @since       1.0
 */
class Gadget_Template_Action_clean extends Gadget_Template_Action
{
    /**
     * Name
     * 
     * @var string
     */
    var $name = 'clean';
    
    /**
     * On After Construct
     * 
     * @access  protected
     * @return  void
     */
    function onAfterConstruct()
    {
        $this->composedPattern = 
            $this->pcreDelimiter                        .
            ' '                                         .
            preg_quote('?>', $this->pcreDelimiter)      .
            preg_quote('<?', $this->pcreDelimiter)      .
            '(php) '                                    .
            $this->pcreDelimiter
        ;
    }
    
    /**
     * Perform
     * 
     * @access  public
     * @return  string
     * @param   array   $args
     */
    function perform($args)
    {
        return ' ';
    }
    
}

?>
