<?php

/**
 * Gadget Web Development Kit
 * 
 * @GADGET_HEADER@
 * 
 * @package     Gadget
 * @subpackage  Gadget_Tree
 * @author      Michael Wallner <mike@iworks.at>
 * @version     $Revision: 1.1 $
 * 
 * @copyright   2004 Michael Wallner
 * @license     http://www.gnu.org/copyleft/gpl.txt GNU Public License
 * 
 * @cvs         $Id: Parser.php,v 1.1 2005/04/04 11:51:13 mike Exp $
 */

/**
 * Requires Gadget_Tree_XML_Node
 */
class_exists('Gadget_Tree_XML_Node') or require_once 'Gadget/Tree/XML/Node.php';

/**
 * Requires XML_Parser
 */
class_exists('XML_Parser') or require_once 'XML/Parser.php';

/**
 * Gadget_Tree_XML_Parser
 * 
 * @internal
 * @package     Gadget
 * @psubpackage Gadget_Tree
 * @since       1.0
 */
class Gadget_Tree_XML_Parser extends XML_Parser 
{
    var $node;
    var $buffer = '';
    var $folding = 0;

    function startHandler($p, $element, $attributes)
    {
        if (isset($this->node)) {
            if ($this->buffer) {
                $textNode = &$this->node->addNewChild('');
                $textNode->setData($this->buffer);
                $this->buffer = '';
            }
            $this->node = &$this->node->addNewChild($element);
        } else {
            $this->node = &new Gadget_Tree_XML_Node($element);
        }
        $this->node->addMeta($attributes);
    }

    function endHandler()
    {
        if ($this->buffer !== '') {
            $textNode = &$this->node->addNewChild('');
            $textNode->addData($this->buffer);
            $this->buffer = '';
        }
        if (isset($this->node->parent)) {
            $this->node = &$this->node->parent;
        }
    }

    function cdataHandler($p, $data)
    {
        $this->buffer .= $data;
    }

    function &getRoot()
    {
        while (isset($this->node->parent)) {
            $this->node = &$this->node->parent;
        }
        return $this->node;
    }
}

?>