<?php

/**
 * Gadget Web Development Kit
 * 
 * @GADGET_HEADER@
 * 
 * @package     Gadget
 * @subpackage  Gadget_Widget
 * @author      Michael Wallner <mike@iworks.at>
 * @version     $Revision: 1.1 $
 * 
 * @copyright   2004 Michael Wallner
 * @license     http://www.gnu.org/copyleft/gpl.txt GNU Public License
 * 
 * @cvs         $Id: LoginBox.php,v 1.1 2005/04/04 12:15:55 mike Exp $
 */

/**
 * Requires Gadget_Widget
 */
class_exists('Gadget_Widget') or require_once 'Gadget/Widget.php';

/**
 * LoginBox
 *
 * @package     Gadget
 * @subpackage  Gadget_Widget
 * @since       1.0
 */
class LoginBox extends Gadget_Widget
{
    var $template = 'LoginBox.html';
    
    function main()
    {
        $this->form('LoginBoxForm');
        $this->qform->addElement('text',       'loginUser',    _('Dein Nickname'));
        $this->qform->addElement('password',   'loginPass',    _('Dein Passwort'));
        $this->qform->addElement('submit',     'loginSubmit',  _('OK'));
        
        $this->qform->applyFilter('__ALL__', 'trim');
        $this->qform->addRule('loginUser', _('Bitte Nickname angeben!'), 'required');
        $this->qform->addRule('loginPass', _('Bitte Passwort angeben!'), 'required');
        $this->qform->addRule('loginUser', _('Bitte Nickname angeben!'), 'required', null, 'client');
        $this->qform->addRule('loginPass', _('Bitte Passwort angeben!'), 'required', null, 'client');
        
        if ($this->qform->validate()) {
            $this->qform->process(array(&$this, 'processForm'), false);
        }
    }
    
    function processForm($values)
    {
        extract($values);
        $this->show = !Gadget::runService(SERVICE_AUTH, $loginUser, $loginPass);
        Gadget::redirectInternal('/');
    }
}

?>